solver_ilut_rep< T, M >
Inheritance diagram for solver_ilut_rep< T, M >:

## Public Types

typedef solver_abstract_rep< T, M > | base
typedef base::size_type | size_type
typedef base::determinant_type | determinant_type
Public Types inherited from solver_abstract_rep< T, M >
typedef csr< T, M >::size_type | size_type

## Public Member Functions

| solver_ilut_rep (const csr< T, M > &a, size_type fill_factor, T drop_tol)
| solver_ilut_rep (const solver_ilut_rep &)
solver_abstract_rep< T, M > * | clone () const
bool | good () const
void | update_values (const csr< T, M > &a)
vec< T, M > | trans_solve (const vec< T, M > &rhs) const
vec< T, M > | solve (const vec< T, M > &rhs) const
Public Member Functions inherited from solver_abstract_rep< T, M >
| solver_abstract_rep (const solver_option &opt)
| solver_abstract_rep (const solver_abstract_rep &x)
const solver_option & | option () const
virtual bool | initialized () const
virtual | ~solver_abstract_rep ()
virtual void | set_preconditioner (const solver_basic< T, M > &)
virtual determinant_type | det () const
virtual std::string | name () const

## Protected Attributes

csr< T, M > | _a
size_type | _fill_factor
T | _drop_tol
Eigen::IncompleteLUT< T > | _ilut_a
Protected Attributes inherited from solver_abstract_rep< T, M >
solver_option | _opt

## Additional Inherited Members

Static Public Member Functions inherited from solver_abstract_rep< T, M >
static solver_abstract_rep< T, M > * | make_solver_ptr (const csr< T, M > &a, const solver_option &opt)

## Detailed Description

### template<class T, class M>
class rheolef::solver_ilut_rep< T, M >

Definition at line 98 of file ilut.h.

## Member Typedef Documentation

## base

typedef solver_abstract_rep<T,M> base

Definition at line 102 of file ilut.h.

## size_type

typedef base::size_type size_type

Definition at line 103 of file ilut.h.

## determinant_type

typedef base::determinant_type determinant_type

Definition at line 104 of file ilut.h.

## Constructor & Destructor Documentation

## solver_ilut_rep() [1/2]

solver_ilut_rep | ( | const csr< T, M > & | a,
|  | size_type | fill_factor,
|  | T | drop_tol
| ) |  |

explicit

Definition at line 131 of file ilut.h.

## solver_ilut_rep() [2/2]

solver_ilut_rep | ( | const solver_ilut_rep< T, M > & |  | ) |

## Member Function Documentation

## clone()

solver_abstract_rep< T, M > * clone

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 155 of file ilut.h.

## good()

bool good | ( |  | ) | const

Definition at line 111 of file ilut.h.

## update_values()

void update_values | ( | const csr< T, M > & | a | ) |

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 34 of file ilut.cc.

## trans_solve()

vec< T, M > trans_solve | ( | const vec< T, M > & | rhs | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 74 of file ilut.cc.

## solve()

vec< T, M > solve | ( | const vec< T, M > & | rhs | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 62 of file ilut.cc.

## Member Data Documentation

## _a

csr<T,M> _a

protected

Definition at line 121 of file ilut.h.

## _fill_factor

size_type _fill_factor

protected

Definition at line 122 of file ilut.h.

## _drop_tol

T _drop_tol

protected

Definition at line 123 of file ilut.h.

## _ilut_a

Eigen::IncompleteLUT<T> _ilut_a

protected

Definition at line 124 of file ilut.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/ilut.h
- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/ilut.cc